POST students/{userIdentifier}/studyplanner/acknowledgedActivities

Authorization

Access to this endpoint is granted if all following conditions are true:

  • Authenticated user who is either StaffMember, Student
  • Authenticated user passes at least one of the following conditions: Authenticated user matches identifier given in "userIdentifier, studentIdentifier" uri parameter. Authenticated user is a staff member and is assigned to the same center as a user who matches identifier given in "userIdentifier, studentIdentifier" uri parameter.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
userIdentifier

PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier

Required

Body Parameters

PearsonEnglish.LearningServices.Wse.Models.StudyPlanner.AcknowledgeStudyPlannerActivitiesRequest
NameDescriptionTypeAdditional information
Activities

Collection of integer

None.

Request Formats

application/json, text/json

Sample:
{
  "Activities": [
    1,
    2
  ]
}

Response Information

Resource Description

System.Web.Http.IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.